Get a location in the selected organization
GET
/v1/organizations/{organizationId}/locations/{locationId}
API key scope: inventory:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”locationId
required
string
Header Parameters
Section titled “Header Parameters”X-Request-Id
string
Optional client request id returned in structured errors.
Responses
Section titled “Responses”Location found.
Media typeapplication/json
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
name
required
string
code
required
string
type
required
string
status
required
string
addressLine1
object
addressLine2
object
city
object
region
object
postalCode
object
countryCode
object
metadata
object
key
additional properties
any
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "id": "33333333-3333-4333-8333-333333333333", "organizationId": "11111111-1111-4111-8111-111111111111", "environment": "test", "name": "Main Warehouse", "code": "MAIN-WH", "type": "warehouse", "status": "active", "addressLine1": "123 Market St", "addressLine2": null, "city": "Austin", "region": "TX", "postalCode": "78701", "countryCode": "US", "metadata": { "timezone": "America/Chicago" }, "createdAt": "2026-06-29T10:00:00.000Z", "updatedAt": "2026-06-29T10:00:00.000Z"}The organization has exhausted its monthly public API request quota.
Media typeapplication/json
Example
{ "error": { "code": "PLAN_LIMIT_EXCEEDED", "message": "Plan limit exceeded for api_requests", "requestId": "req_123", "details": { "entitlementKey": "api_requests", "scope": "environment", "environment": "live", "configured": true, "limit": "50000", "used": "50000", "requested": "1", "currentPlan": { "code": "free", "version": 1 }, "requiredPlan": { "code": "starter", "version": 1, "requiresOverride": false } } }}